//  Copyright (C) 1997, 1998 Olivetti & Oracle Research Laboratory
//
//  This file is part of the VNC system.
//
//  The VNC system is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,
//  USA.
//
// If the source code for the VNC system is not available from the place 
// whence you received this file, check http://www.orl.co.uk/vnc or contact
// the authors on vnc@orl.co.uk for information on obtaining it.



#pragma once

static const TCHAR * NTAUTH_KEY_NAME = "Software\\ORL\\VNCviewer\\NTAuthMRU";

class AuthDialog  
{
public:
	AuthDialog();
	virtual ~AuthDialog();
	int DoDialog();
	TCHAR m_passwd[256];
	// !!! (JCS)
	TCHAR m_username[256];
	TCHAR m_domain[256];
	static BOOL CALLBACK DlgProc(  HWND hwndDlg,  UINT uMsg, 
		WPARAM wParam, LPARAM lParam );

private:

	// !!! (JCS)
	HKEY m_hNTAuthRegKey;

	// Write the last used username and domain to the registry as well
	void AddUsernameDomain(LPCTSTR  username, LPCTSTR  domain);

	// Read the last used username and domain from the registry
	int  GetUsernameDomain(LPTSTR username, LPTSTR domain);
};
