// ntauth.cpp: declaration of the NTAuth class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(_WINVNC_NTAUTH)
#define _WINVNC_NTAUTH
#pragma once

// Include files
#include "stdhdrs.h"
#include <lmaccess.h>  // Needed for Net API stuff
#include <lmwksta.h>   // Needed to get domain name
#include <lmapibuf.h>  // Needed to clean up Net API allocs
#include <lmerr.h>     // Needed for errors with Net API
#include <wchar.h>
// These fields are slightly larger than needed, but
// it's better to have it larger and less prone to buffer
// overruns than smaller and causing exceptions all day!
const int USERINFO_LENGTH = 21;

struct NTUserInfo {
	WCHAR username[USERINFO_LENGTH]; // Limit of 20 chars?
	WCHAR password[USERINFO_LENGTH]; // Limit of 14 chars?
	WCHAR domain[USERINFO_LENGTH];   // Limit of 15 chars?
};

class NTAuth {
public:
	NTAuth(const BOOL adminsOnly);
	~NTAuth();
	long authUser(const NTUserInfo* userInfo, const char* username, const char* password, const char* domain);

private:
	BOOL AllowAdminsOnly;
};

#endif